#
# Config parameters
# 
# Only Strings and Dwords are supported.  To indentify a value as a string use quotes.
# Otherwise the value will be interpreted as a Dword.
#
# Composite strings are also supported.  Strings built from previously defined props
# for example :
# SHORT_PRINTER_NAME = "HP LaserJet M1120n"
# PRINTER_NAME = SHORT_PRINTER_NAME " MFP"
#
#  So PRINTER_NAME would equal  "HP LaserJet M1120n MFP"
#
PRINT_INFNAME = "HPM1210.INF"
EWS_INFNAME = "mvusbews.inf"
SCAN_INFNAME = "HP1210FS.INF"
NETWORK_SCAN_INFNAME = "HP1210NS.INF"
FAX_INFNAME = "HP1210FX.INF"
FAXPRINTER_INFNAME = "HP1210FP.INF"
NETWORK_WIA_HWID = "HPM1210nScanner"
VERBOSE_MSILOG_OFF = "yes"
PRINTER_SERIES_NAME = "HP LaserJet Professional M1130-M1210 MFP Series"
INSTALL_DIRECTORY = "HP LaserJet M1210 MFP Series"
SERIES1_PRINTER_SHORTNAME =  "HP LaserJet Professional M113"
SERIES1_SHORTCUT_DIRECTORY = "HP LaserJet Professional M1130 MFP Series"
SERIES2_SHORTCUT_DIRECTORY = "HP LaserJet Professional M1210 MFP Series"
SERIES1_HELP_DIR = "T3_help"
SERIES2_HELP_DIR = "T4_help"
INSTALL_NOTES_FILE = "1130SeriesInstallNotes.htm"
PRINTERS_SERIES_NAMES = "HP LaserJet Professional M1210nfw MFP Series, HP LaserJet Professional M121*, HP LaserJet Professional M1210nf MFP Series, HP LaserJet Professional M121*, HP LaserJet Professional M1130 MFP Series, HP LaserJet Professional M113*"
REG_INSTALLKEY = PRINTER_SERIES_NAME
PRODUCT_VIDPID = "vid_03f0&pid_042a, vid_03f0&pid_052a, vid_03f0&pid_0e2a"
FW_BIN_FILES = "vid_03f0&pid_042a, HPM1130.pkg, vid_03f0&pid_052a, HPM1210.pkg, vid_03f0&pid_0e2a, HPM1217.pkg"
WIFIPRODUCT_VIDPID = "vid_03f0&pid_0e2a"
ISRUNNING_MUTEX_NAME = "HpMvInstallExists"
CORE32_MSIS = "PortMonitorInstaller32.msi,, x32\vcredist\SP1\vcredist.msi,, ScanTo\ScanTo.msi,"
DOTNET32_MSI = "DotNet\netfx.msi, ADDEPLOY=1,"
ADVCORE32_MSIS = "x32\vcredist\RTM\vcredist.msi,"
EXTENDED32_MSIS = "ExtCap\marketresearch.msi,, ExtCap\hppM1130M1210SeriesLaserJetService\hppM1130M1210SeriesLaserJetService.msi,, ExtCap\hppLaserJetService\hppLaserJetService.msi,, ExtCap\hppusgM1130M1210Series\hppusgM1130M1210Series.msi,, DTSS\HPSSupply.msi,"
FAX32_MSI = "fax\faxinstaller.msi,"
#UNINSTALL32_MSIS requires the MSI Property's ProductCode GUID, MSIs to be remove are: ScanTo, M1210TBX, Faxinstaller and ToolboxMX
UNINSTALL32_MSIS =  "{E8A34AC8-0137-4515-A94B-0A0946DDC251},{33FA361C-6545-4490-945C-1B869370489D},{FA3AFC80-05A5-45A6-BD6E-92641BF93129},{1FA6376A-3120-45DA-8686-96DEFC8A0513}"
CORE64_MSIS = "PortMonitorInstaller64.msi,, x32\vcredist\SP1\vcredist.msi,, ScanTo\x64\ScanTo.msi,"
DOTNET64_MSI = "DotNet64\netfx.msi, ADDEPLOY=1,"
ADVCORE64_MSIS = "x64\vcredist\RTM\vcredist.msi,"
EXTENDED64_MSIS = "ExtCap\marketresearch.msi,, ExtCap\hppM1130M1210SeriesLaserJetService\hppM1130M1210SeriesLaserJetService.msi,, ExtCap\hppLaserJetService\hppLaserJetService.msi,, ExtCap\hppusgM1130M1210Series\hppusgM1130M1210Series.msi,, DTSS\HPSSupply.msi,"
FAX64_MSI = "fax\faxinstaller64.msi,"
#UNINSTALL64_MSIS requires the MSI Property's ProductCode GUID, MSIs to be remove are: ScanTo, M1210TBX, Faxinstaller and ToolboxMX
UNINSTALL64_MSIS = "{E8A34AC8-0137-4515-A94B-0A0946DDC251},{43C4BDBB-0FA3-4E79-8E9F-6ACF0F2FC0A4},{E65099C4-9110-4C31-BD03-5C17EFB5FE92},{1FA6376A-3120-45DA-8686-96DEFC8A0513}"
SERVICE_NAME = "HPSIsvc.exe"
DRIVER_VER_FILE = "HPM1210SU.VER"
PRINT_VERNAME = "HPM1210SU.VER"

#
#Toolbox Parameters
#
TOOLBOX_REG_LOC="SOFTWARE\Hewlett-Packard\ToolBoxMX"
TOOLBOX_REG_KEY="ProductCode"
TOOLBOX_MX32_MSI= "ToolboxMX\ToolboxMX.msi,"
TOOLBOX_PROD32_MSI= "ToolboxMX\M1210TBX.msi,"
TOOLBOX_MX64_MSI= "ToolboxMX\ToolboxMX64.msi,"
TOOLBOX_PROD64_MSI= "ToolboxMX\M1210TBXx64.msi,"

#
# Yahoo Toolbar Parameters
#
PREV_YTB_REG_LOC="SOFTWARE\Hewlett-Packard\System Properties\"
PREV_YTB_REG_KEY="toolbar"
YTB_OK_REG_LOC="Software\yahooinstall\"
YTB_OK_REG_KEY="offer"
YTB_DETECT="YTB\y_hp_intl_detect.exe"
YTB_INSTALLER="YTB\ytb_7.2.2.0_1.5.4.exe /S /ydc=hphpd13 /ypc=hphpd13 /ysc=hphpd13"

#
# Scrub Parameters
#
WIA_DRIVERS = "m1210wia.dll, m1130wia.dll"
TWAIN_FOLDERS = "hpm1210nf, hpm1130"
SCRUB_SYSFILES = "HP1210SM.EXE, HP1210SMs.dll, HP1210LM.dll"
REMOVE_NONPRINTER_DEVICE_HWIDS = "HPM1210nScanner, *vid_03f0&pid_042a*&mi_02*, *vid_03f0&pid_052a*&mi_02*, *vid_03f0&pid_052a*&mi_03*, *vid_03f0&pid_0e2a*&mi_02*, *vid_03f0&pid_0e2a*&mi_03*"
